DEFINE INPUT PARAMETER picParam AS CHARACTER NO-UNDO.

{C:\Progress\OpenEdge\src\adecomm\oeideservice.i}

DEFINE VARIABLE cFileName        AS CHARACTER NO-UNDO.
DEFINE VARIABLE cPrepFile        AS CHARACTER NO-UNDO.
DEFINE VARIABLE hProc            AS HANDLE    NO-UNDO.
DEFINE VARIABLE cResult          AS CHARACTER   NO-UNDO.
DEFINE VARIABLE cDir             AS CHARACTER   NO-UNDO.
ASSIGN cFileName = ENTRY(2,picParam,CHR(3)).

IF SEARCH(cFileName) = ?
THEN DO:
  MESSAGE SUBSTITUTE("File <&1> not found", cFileName) VIEW-AS ALERT-BOX ERROR.
  RETURN.
END.  

ASSIGN cDir = "./Temp".
FILE-INFO:FILENAME = cDir.
IF FILE-INFO:FULL-PATHNAME = ?
THEN OS-CREATE-DIR VALUE(cDir).


ASSIGN cFileName = REPLACE(cFileName,"/","\").
       cPrepFile = cDir +  "/LISTING-"+ ENTRY(NUM-ENTRIES(cFileName,"\"), cFileName, "\").

COMPILE VALUE(cFileName) LISTING VALUE(cPrepFile) NO-ERROR.

file-info:file-name = cPrepFile.
cPrepFile = file-info:full-pathname.
	     
ASSIGN hProc = SESSION:FIRST-PROCEDURE.
DO WHILE VALID-HANDLE(hProc)
   AND hProc:FILE-NAME <> "adecomm/oeideservice.p":U:
  hProc = hProc:NEXT-SIBLING.
END.

RUN sendRequest in hProc("IDE openEditor ":U 
                  + QUOTER(getProjectName()) + " "
                  + QUOTER(SEARCH(cPrepFile)) + " " 
                  + QUOTER(""), TRUE, OUTPUT cResult).
